Bug 630067 (CVE-2010-3167) - CVE-2010-3167 Mozilla Dangling pointer vulnerability in nsTreeContentView (MFSA 2010-56)
Summary: CVE-2010-3167 Mozilla Dangling pointer vulnerability in nsTreeContentView (MF...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 15:59 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:46:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0680 normal SHIPPED_LIVE Critical: seamonkey security update 2010-09-08 01:09:16 UTC
Red Hat Product Errata RHSA-2010:0681 normal SHIPPED_LIVE Critical: firefox security update 2010-09-08 00:33:03 UTC
Red Hat Product Errata RHSA-2010:0682 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-09-08 00:06:28 UTC

Description Josh Bressers 2010-09-03 15:59:03 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that the implementation of XUL <tree>'s content view contains a
dangling pointer vulnerability. One of the content view's methods for
accessing the internal structure of the tree could be manipulated into
removing a node prior to accessing it, resulting in the accessing of
deleted memory. If an attacker can control the contents of the deleted
memory prior to its access they could use this vulnerability to run
arbitrary code on a victim's machine.

Comment 1 Vincent Danen 2010-09-07 23:28:25 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-56.html

Comment 2 errata-xmlrpc 2010-09-08 00:06:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0682 https://rhn.redhat.com/errata/RHSA-2010-0682.html

Comment 3 errata-xmlrpc 2010-09-08 00:34:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Comment 4 errata-xmlrpc 2010-09-08 01:10:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0680 https://rhn.redhat.com/errata/RHSA-2010-0680.html


Note You need to log in before you can comment on or make changes to this bug.